# Используем официальный образ Node.js
FROM node:22-alpine AS builder

# Устанавливаем рабочий каталог
WORKDIR /app

# Копируем файлы зависимостей
COPY package.json package-lock.json* ./

# Устанавливаем зависимости
RUN npm install

# Копируем все файлы проекта
COPY . .

# Собираем проект
RUN npm ci
RUN npm run build

# Используем nginx для обслуживания статических файлов
FROM nginx:alpine

# Копируем собранные файлы из builder в nginx
COPY --from=builder /app/build /usr/share/nginx/html

# Копируем конфигурацию nginx (если нужно)
COPY nginx.conf /etc/nginx/conf.d/default.conf

# Открываем порт 80
EXPOSE 80

# Запускаем nginx
CMD ["nginx", "-g", "daemon off;"]